<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_RentacarAvailAdvancedOptions StructType
 * @subpackage Structs
 */
class JP_RentacarAvailAdvancedOptions extends JP_AvailAdvancedOptions
{
    /**
     * The ShowAllOfficeCombinations
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $ShowAllOfficeCombinations;
    /**
     * The ShowCancellationPolicies
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $ShowCancellationPolicies;
    /**
     * The ShowDocuments
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $ShowDocuments;
    /**
     * Constructor method for JP_RentacarAvailAdvancedOptions
     * @uses JP_RentacarAvailAdvancedOptions::setShowAllOfficeCombinations()
     * @uses JP_RentacarAvailAdvancedOptions::setShowCancellationPolicies()
     * @uses JP_RentacarAvailAdvancedOptions::setShowDocuments()
     * @param bool $showAllOfficeCombinations
     * @param bool $showCancellationPolicies
     * @param bool $showDocuments
     */
    public function __construct($showAllOfficeCombinations = null, $showCancellationPolicies = null, $showDocuments = null)
    {
        $this
            ->setShowAllOfficeCombinations($showAllOfficeCombinations)
            ->setShowCancellationPolicies($showCancellationPolicies)
            ->setShowDocuments($showDocuments);
    }
    /**
     * Get ShowAllOfficeCombinations value
     * @return bool|null
     */
    public function getShowAllOfficeCombinations()
    {
        return $this->ShowAllOfficeCombinations;
    }
    /**
     * Set ShowAllOfficeCombinations value
     * @param bool $showAllOfficeCombinations
     * @return \StructType\JP_RentacarAvailAdvancedOptions
     */
    public function setShowAllOfficeCombinations($showAllOfficeCombinations = null)
    {
        // validation for constraint: boolean
        if (!is_null($showAllOfficeCombinations) && !is_bool($showAllOfficeCombinations)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($showAllOfficeCombinations, true), gettype($showAllOfficeCombinations)), __LINE__);
        }
        $this->ShowAllOfficeCombinations = $showAllOfficeCombinations;
        return $this;
    }
    /**
     * Get ShowCancellationPolicies value
     * @return bool|null
     */
    public function getShowCancellationPolicies()
    {
        return $this->ShowCancellationPolicies;
    }
    /**
     * Set ShowCancellationPolicies value
     * @param bool $showCancellationPolicies
     * @return \StructType\JP_RentacarAvailAdvancedOptions
     */
    public function setShowCancellationPolicies($showCancellationPolicies = null)
    {
        // validation for constraint: boolean
        if (!is_null($showCancellationPolicies) && !is_bool($showCancellationPolicies)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($showCancellationPolicies, true), gettype($showCancellationPolicies)), __LINE__);
        }
        $this->ShowCancellationPolicies = $showCancellationPolicies;
        return $this;
    }
    /**
     * Get ShowDocuments value
     * @return bool|null
     */
    public function getShowDocuments()
    {
        return $this->ShowDocuments;
    }
    /**
     * Set ShowDocuments value
     * @param bool $showDocuments
     * @return \StructType\JP_RentacarAvailAdvancedOptions
     */
    public function setShowDocuments($showDocuments = null)
    {
        // validation for constraint: boolean
        if (!is_null($showDocuments) && !is_bool($showDocuments)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($showDocuments, true), gettype($showDocuments)), __LINE__);
        }
        $this->ShowDocuments = $showDocuments;
        return $this;
    }
}
